package zero1hd.rhythmbullet.graphics.ui.components;

import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.utils.Disposable;

import zero1hd.rhythmbullet.graphics.meshes.Parallelogram;

public class TitleBarVisualizer extends Group implements Disposable {
	private Visualizer hvisual;
	private Parallelogram parall;
	private Image titleImage;
	
	public TitleBarVisualizer(AssetManager assets) {
		if (assets == null) throw new  NullPointerException("TitleBarVisualizer requires assets manager... ITS NULL YOU FOOL");
		
		hvisual = new Visualizer();
		addActor(hvisual);
		
		titleImage = new Image(assets.get("title.png", Texture.class));
		addActor(titleImage);
		
		hvisual.setY(getHeight());
	}
	
	@Override
	public void act(float delta) {
		super.act(delta);
	}
	
	@Override
	public void draw(Batch batch, float parentAlpha) {
		parall.drawParallelogram(getX(), getY(), getWidth(), getHeight(), 30, getColor());
		super.draw(batch, parentAlpha);
	}
	
	public Visualizer getHvisual() {
		return hvisual;
	}

	@Override
	public void dispose() {
	}
	
	@Override
	public void setColor(Color color) {
		super.setColor(color);
	}
	
	@Override
	public void setColor(float r, float g, float b, float a) {
		super.setColor(r, g, b, a);
	}
}
